Skip to main content

Create a comment

You can create a comment on a candidate using the API.

token

To create a comment, you must authenticate with a user token which can be retrieved using the Login method.

Request

This method allows you to create a comment on a candidate:

POST /company/{companyID}/applicant/{applicantID}/comment

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
companyIDpathstring
✔️
Company identifier0GjqBwprWAdArDl4
applicantIDpathstring
✔️
Candidate id
typequerystring
✔️
Comment typenote
privatequerybooleanWhether the comment is privatetrue
filequeryfileAttachmentzoGaHqRvJ/CV_test.pdf
textquerystringComment contentIn reply to the previous comment: very good English
reply_toquerystringParent comment idj4hq6zbqYZ20JA1z

Request example

cURL request
curl -X POST 'https://api.flatchr.io/company/0GjqBwprWAdArDl4/applicant/ADYjo9mGxZdkN0ry/comment'
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'
-F 'text="In reply to the previous comment: very good English level"' \
-F 'file=@"zoGaHrRvJ/CV_test.pdf"' \
-F 'private="true"' \
-F 'reply_to="j4hq6zbqYZ20Jn1z"'

Response

NameTypeDescription
idintegerComment identifier
textstringComment text
privatebooleanWhether the comment is private
favoritebooleanWhether the comment is favorited
created_byintegerComment author identifier
created_attimestampComment creation date
reply_tointegerParent comment identifier if this comment is a reply to an existing comment
authorauthorComment author
attachmentsattachmentsComment attachments
ratings[ratings]

Response example

{
"id": 3620,
"text": "In reply to the previous comment: very good English level",
"private": true,
"favorite": false,
"created_by": 391,
"created_at": "2022-02-15T17:00:00.264Z",
"reply_to": 3618,
"author": {
"id": "lVq5r6pYXk9AmMvP",
"firstname": "XXXX",
"lastname": "XXXX"
},
"attachments": [],
"ratings": []
}